commit:     a6ead2375e2074b2f248baba8ac3f4bdb7454a6e
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  7 11:03:06 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Sep  7 12:35:45 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6ead237

dev-ml/ojquery: add live ebuild

Package-Manager: portage-2.3.0

 dev-ml/ojquery/ojquery-9999.ebuild | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-ml/ojquery/ojquery-9999.ebuild 
b/dev-ml/ojquery/ojquery-9999.ebuild
new file mode 100644
index 00000000..a4f9a1d
--- /dev/null
+++ b/dev-ml/ojquery/ojquery-9999.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit oasis
+
+DESCRIPTION="jQuery Binding for Eliom."
+HOMEPAGE="jQuery Binding for Eliom."
+
+if [ "${PV#9999}" != "${PV}" ] ; then
+       inherit git-r3
+       SRC_URI=""
+       EGIT_REPO_URI="https://github.com/ocsigen/ojquery";
+       KEYWORDS=""
+else
+       SRC_URI="https://github.com/ocsigen/ojquery/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="LGPL-3"
+SLOT="0/${PV}"
+IUSE=""
+
+RDEPEND="dev-ml/react:=
+       dev-ml/js_of_ocaml:=
+       dev-ml/lwt:="
+DEPEND="${RDEPEND} dev-ml/oasis"
+
+src_prepare() {
+       oasis setup || die
+}

Reply via email to